Products Get
Returns a list of products available for the given contract (only billable and active)
get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}Query parameters
datestring · dateOptionalExample:
Date of interest in format of YYYY-MM-DD
2025-01-01Responses
200
Result data
application/json
liabilitystringOptionalExample:
Please double check your contract for prices.401
Unauthorized
application/json
403
Forbidden
application/json
500
Unexpected internal server error
application/json
get/{contract}/products
GET /billing/{contract}/products HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"metadata": {
"contractId": "31805900",
"customerId": "112505406",
"reference": "31805900"
},
"liability": "Please double check your contract for prices.",
"products": [
{
"meterId": "C01000",
"meterDesc": "1h core AMD",
"unit": "1hour",
"unitCost": {
"quantity": "0.02",
"unit": "EUR"
}
}
]
}Last updated
Was this helpful?